<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="body">
			<p:panel header="#{facesContext.translate('title.report.properties')}">
				<p:dataTable value="#{reportModel.reportProperties}" var="p">
					<p:column headerText="#{facesContext.translate('label.report.properties.key')}" style="width: 128px">
						<h:outputText value="#{p.key}" styleClass="#{p.isDirty() ? 'dirtyfont' : ''}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.report.properties.value')}">
						<ship:outputJson value="#{p.value}" styleClass="#{p.isDirty() ? 'dirtyfont' : ''}" />
					</p:column>
					<p:column styleClass="twoiconbuttons">
						<p:commandButton action="#{reportController.doOpenEditProperty(p)}" ajax="false" immediate="true" value="" icon="fa fa-pencil" styleClass="iconbutton" title="#{facesContext.translate('button.edit')}" />
						<ship:removeButton action="#{reportController.doRemoveProperty(p)}" value="" tooltip="#{facesContext.translate('button.remove')}" title="#{facesContext.translate('title.delete.approve')}"
							approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}">
							<h:outputText value="#{facesContext.translate('confirmation.delete', p.key)}" />
						</ship:removeButton>
					</p:column>
				</p:dataTable>
			</p:panel>
			<p:dialog widgetVar="edit" closable="true" closeOnEscape="true" header="#{facesContext.translate('title.report.properties.edit')}" modal="true" visible="#{reportModel.currentProperty != null}" rendered="#{reportModel.currentProperty != null}">
				<p:panelGrid columns="2">
					<h:outputText value="#{facesContext.translate('label.report.properties.key')}" />
					<h:outputText value="#{reportModel.currentProperty.key}" />
					<h:outputText value="#{facesContext.translate('label.report.properties.value')}" />
					<p:inputTextarea value="#{reportModel.currentProperty.value}" />
				</p:panelGrid>
				<p:commandButton action="#{reportController.doUpdateProperty}" value="#{facesContext.translate('button.approve')}" ajax="false" />
			</p:dialog>
			<p:dialog widgetVar="add" closable="true" closeOnEscape="true" header="#{facesContext.translate('title.report.properties.add')}" modal="true">
				<p:panelGrid columns="2">
					<h:outputText value="#{facesContext.translate('label.report.properties.key')}" />
					<p:selectOneMenu value="#{reportModel.newProperty.fkWidgetbased}">
						<f:selectItems value="#{reportModel.unusedReportPropertyWidgets}" var="r" itemValue="#{r.pk}" itemLabel="#{r.name}" />
					</p:selectOneMenu>
					<h:outputText value="#{facesContext.translate('label.report.properties.value')}" />
					<p:inputTextarea value="#{reportModel.newProperty.value}" />
				</p:panelGrid>
				<p:commandButton action="#{reportController.doAddProperty}" value="#{facesContext.translate('button.add')}" ajax="false" />
			</p:dialog>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_abort" action="#{reportController.toShow(reportModel.showReportBean)}" value="#{facesContext.translate('button.overview')}" immediate="true" ajax="false" />
			<p:commandButton id="btn_add" value="#{facesContext.translate('button.add')}" type="button" onclick="PF('add').show();" rendered="#{reportModel.unusedReportPropertyWidgets.size() > 0}" />
			<p:commandButton id="btn_approve" action="#{reportController.doApproveProperties}" value="#{facesContext.translate('button.approve.changes', reportModel.countDirtyProperties())}"
				immediate="true" ajax="false" rendered="#{reportModel.countDirtyProperties() > 0}" />
		</ui:define>
	</ui:composition>
</h:body>
</html>